/* 
##  Based on https://www.bootdey.com/snippets/view/chat-app#css

CONTENT
# general
# home
# channel

*/


/* GENERAL */
body{
    background-color: #f4f7f6;
    margin-top:20px;
    
}
.card {
    background: #fff;
    transition: .5s;
    border: 0;
    margin-bottom: 30px;

    margin: auto;
    max-width: 600px;

    border-radius: .55rem;
    position: relative;
    width: 100%;
    box-shadow: 0 1px 2px 0 rgb(0 0 0 / 10%);
}

.float-right {
    float: right
}

.clearfix:after {
    visibility: hidden;
    display: block;
    font-size: 0;
    content: " ";
    clear: both;
    height: 0;
}

/* links */
a {
    text-decoration: none;
    color: #000;
}

.home a:visited{
    text-decoration: none;
    color: #292e2c;
}

.chat a:visited{
    text-decoration: none;
    color: #000;
}


/* Home screen */
.home {
    text-align: center;
    padding-bottom: 5px;
}

.home li{
    list-style: none;
    background-color: #05c59f;
    border-radius: 5px;
    padding: 2%;
    margin: 3%;
}



/* chat header */
.chat .chat-header {
    padding: 15px 20px;
    border-bottom: 2px solid #f4f7f6
}

.chat .chat-header img {
    float: left;
    border-radius: 30px;
    width: 40px
}
.chat .chat-header a {
    float: right;
    margin: 5px;
}

/* chat history */
.chat .chat-history {
    padding: 20px;
    border-bottom: 2px solid #f4f7f6;
    height: calc(100vh - 150px);
    height: 60vh;
    overflow: auto;
    overflow-anchor: none;
}


.chat .chat-history li {
    list-style: none;
    margin-bottom: 30px;
    width: 100%
}

.chat .chat-history li:last-child {
    margin-bottom: 0px
}

.chat .chat-history .message-data {
    margin-bottom: 15px
}

.chat .chat-history .message-data img {
    border-radius: 40px;
    width: 40px
}

.chat .chat-history .message-data-time {
    color: #434651;
    padding-left: 6px;
    font-size: 12px;
}

.chat .chat-history .message {
    color: #444444;
    padding: 18px 20px;
    line-height: 26px;
    font-size: 16px;
    border-radius: 7px;
    display: inline-block;
    position: relative
}

.chat .chat-history .message:after {
    bottom: 100%;
    left: 7%;
    border: solid transparent;
    content: " ";
    height: 0;
    width: 0;
    position: absolute;
    pointer-events: none;
    border-bottom-color: #fff;
    border-width: 10px;
    margin-left: -10px
}

.chat .chat-history .bot {
    border-radius: 9;
}

.chat .chat-history .bot:after {
    bottom: 100%;
    left: 30px;
    border: solid transparent;
    content: " ";
    height: 0;
    width: 0;
    position: absolute;
    pointer-events: none;
    border-width: 10px;
    margin-left: -10px
}

.chat .chat-history .other-message {
    text-align: right
}

.chat .chat-history .warning {
    background: #f24532;
    text-align: center;
}

/* colours */
.bot-color{
    background-color: #05abc5;
}

.user{
    background: #05c59f;
}

.cheesomat {
    background: #f6cb3e;
}

.user-cheese{
    background: #ffe368;
}



/* INPUT */
.chat table {
    width: 100%;
    padding: 3px;
}

.chat input[type="text"] {
    width: 90%;
    margin-right: 20px;
    margin-bottom: 5px;
    padding: 3px 6px;

    border: none;
    border-bottom: solid #f39a00eb;
}

.chat input[type="text"]:focus {
    border: #f39a00eb;
    border-radius: 3px;
}

.chat input[type="image"] {
    height: 40px;
    padding: auto;
}




/* configure scroll bar */
::-webkit-scrollbar {
    width: 5px;
}


::-webkit-scrollbar-track {
box-shadow: inset 0 0 5px #f39a0083;
border-radius: 10px;
}


::-webkit-scrollbar-thumb {
background: #f39a00eb;
border-radius: 10px;
} 

/* info box */

.modal {
    align-items: center;
    display: flex;
    justify-content: center;
    transition: all 0.4s;
    visibility: hidden;
    opacity: 0;
    height: 1px;
    width: 100%;
}

.content {
    position: relative;
    background: white;
    width: 90%;
    padding: 10px 7px;
    border-radius: 7px;
    border: solid 1px #f6cb3e;
}

.modal:target {
    visibility: visible;
    opacity: 1;
    height: fit-content;
}

.box-close {
    position: absolute;
    top: 0;
    right: 15px;
    color: #fe0606;
    text-decoration: none;
    font-size: 30px;
}


